SimulationXMLParse (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.xml

## Class SimulationXMLParse

- java.lang.Object
- - org.cloudbus.cloudsim.xml.SimulationXMLParse

-     public class SimulationXMLParse
      extends Object

  Author:
    Guérout Tom, Monteil Thierry, Da Costa Georges | LAAS - IRIT , Toulouse, France Please cite: T. Guérout et al., Energy-aware simulation with DVFS, Simulat. Modell. Pract. Theory (2013), http://dx.doi.org/10.1016/j.simpat.2013.04.007

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimulationXMLParse(String path_file)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<Double>` | `CPUFrequencies_PARSE(org.jdom.Element cpufrequencies)`
    `DvfsDatas` | `DVFSModes_PARSE(org.jdom.Element dvfsmodes)`
    `ArrayList<CloudletDatas>` | `getArrayListCLS()`
    `ArrayList<DatacenterDatas>` | `getArrayListDCS()`
    `ArrayList<VmDatas>` | `getArrayListVMS()`
    `HostDatas` | `HOSTS_Parse(org.jdom.Element Host)`
    `static void` | `main(String[] args)`
    `void` | `PrintList(List liste, String name)`
    `void` | `ReturnError(String location)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimulationXMLParse

          public SimulationXMLParse(String path_file)

  - ### Method Detail

    - #### HOSTS_Parse

          public HostDatas HOSTS_Parse(org.jdom.Element Host)

    - #### CPUFrequencies_PARSE

          public ArrayList<Double> CPUFrequencies_PARSE(org.jdom.Element cpufrequencies)

    - #### DVFSModes_PARSE

          public DvfsDatas DVFSModes_PARSE(org.jdom.Element dvfsmodes)

    - #### PrintList

          public void PrintList(List liste,
                       String name)

    - #### ReturnError

          public void ReturnError(String location)

    - #### getArrayListCLS

          public ArrayList<CloudletDatas> getArrayListCLS()

    - #### getArrayListDCS

          public ArrayList<DatacenterDatas> getArrayListDCS()

    - #### getArrayListVMS

          public ArrayList<VmDatas> getArrayListVMS()

    - #### main

          public static void main(String[] args)

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.